Bug 889732 - latest mock seems to require newer python - blows up immediately on run
latest mock seems to require newer python - blows up immediately on run
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: mock (Show other bugs)
el5
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-22 20:53 EST by Erik M Jacobs
Modified: 2013-10-27 00:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-27 00:50:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Erik M Jacobs 2012-12-22 20:53:48 EST
Description of problem:
The latest iteration of mock from EPEL5 (1.0.36-1.el5) seems to require a newer python.  On run, it blows up immediately with a syntax error.

Version-Release number of selected component (if applicable):
1.0.36-1.el5

How reproducible:
100%

Steps to Reproduce:
1. run mock (any options)
  
Actual results:
[thoraxe@rpmbuild ~]$ mock
Traceback (most recent call last):
  File "/usr/sbin/mock", line 66, in ?
    import mockbuild.backend
  File "/usr/lib/python2.4/site-packages/mockbuild/backend.py", line 237
    finally:
          ^
SyntaxError: invalid syntax

Expected results:
mock should run

Additional info:
Comment 1 Erik M Jacobs 2013-01-27 21:07:47 EST
It's been about a month with no update/needinfo/etc.  Anything going on here?
Comment 2 Clark Williams 2013-01-30 10:39:34 EST
* Mon Nov 26 2012 Clark Williams <williams@redhat.com> - 1.0.37-1
- fix python2.6+ syntax that crept in [BZ# 878989]
- update tests to work properly on i386 host


I did a new version before you filed this bug. Please test the current version and let me know if it doesn't fix your issue.

Note You need to log in before you can comment on or make changes to this bug.